<div class="container-fluid">
  <div class="col-md-12">
    <div class="box">
      <div class="box-header with-border">
        <h3 class="box-title">Approved Bill Payment Requests</h3>
        <hr>
        <div class="row">
          <div class="col-sm-2">
            <div class="form-group">
              <label>From Date </label><br>
              <p-calendar name="date"
                          [style]="{'width':'100%'}" [inputStyle]="{'width':'100%'}"
                          [minDate]="minFromDate"
                          [showIcon]="false"
                          [(ngModel)]="fromDate"
              >
              </p-calendar>
            </div>
          </div>
          <div class="col-sm-2">
            <div class="form-group">
              <label>To Date </label><br>
              <p-calendar name="date"
                          [style]="{'width':'100%'}" [inputStyle]="{'width':'100%'}"
                          [minDate]="minToDate"
                          [showIcon]="false"
                          [(ngModel)]="toDate">
              </p-calendar>
            </div>
          </div>

          <div class="col-sm-2">
            <div class="form-group">
              <label for="debitBranch">Requested Branch</label>
              <select id="debitBranch"
                      class="form-control"
                      name="debitBranch"
                      [(ngModel)]="selectedBranchId"
                      required>
                <option *ngFor="let event of (allBranch); let i = index"
                        [ngValue]="(allBranch)[i].branchId"
                >{{(allBranch)[i].name + ' ( ' + (allBranch)[i].code + ' )'}}</option>
              </select>
            </div>
          </div>

          <div class="col-sm-2">
            <div class="form-group">
              <label for="requestedUser">Requested By</label>
              <select id="requestedUser"
                      class="form-control"
                      name="requestedUser"
                      [(ngModel)]="requestedUserId"
                      required>
                <option *ngFor="let event of (allUsers); let i = index"
                        [ngValue]="(allUsers)[i].userId"
                >{{(allUsers)[i].fullName + ' ( ' + (allUsers)[i].employeeId + ' )'}}</option>
              </select>
            </div>
          </div>
          <div class="col-sm-2">
            <div class="form-group">
              <label for="memoCode">Memo Code</label>
              <input id="memoCode"
                     name="memoCode"
                     class="form-control"
                     [(ngModel)]="memoCode">
            </div>
          </div>
          <div class="col-sm-2">
            <div class="form-group" style="margin-top: 27px">
              <button class=" btn btn-success" (click)="searchData()">
                Search
              </button>
            </div>
          </div>
        </div>
      </div>
      <!-- /.box-header -->
      <div class="box-body">
        <p-table id="exportTable"
                 class="text-center"
                 [columns]="columnName"
                 [value]="(data$)"
                 [(selection)]="selectedItems"
                 [resizableColumns]="true"
                 [autoLayout]="true">

          <ng-template pTemplate="caption">
            List of Approved Bill Payments
            :&nbsp;{{ totalRecords }}
          </ng-template>
          <ng-template pTemplate="header" let-columns>
            <tr>
              <th *ngFor="let col of columns" [pSortableColumn]="col.value">
                {{col.name}}
                <p-sortIcon [field]="col.value"></p-sortIcon>
              </th>
            </tr>
          </ng-template>

          <ng-template pTemplate="body" let-list let-i="rowIndex">
            <tr [ngStyle]="{'background-color':i%2 === 0 ? '#fafafa' : '#e9ecef'}">
              <td>{{i + 1 + itemsPerPage * page}}</td>
              <td>{{list.memoCode}}</td>
              <td>{{list.billPaymentRequestedBranch}}</td>
              <td>{{list.subject}}</td>
              <td>{{list.memoDate | date:'MMM d, y, h:mm:ss a'}}</td>
              <td>{{list.fiscalYear}}</td>
              <td>{{list.billAmount}}</td>
              <td>{{list.currentBillPaymentStatus}}</td>
              <td>
                <a [routerLink]="['/approved-bills', list.id, 'verify', 'UNVERIFIED']"
                   name={{list.id}}
                   class="fas fa-eye-slash"
                   pTooltip="View Detail"
                   tooltipPosition="right"></a>
              </td>
            </tr>
          </ng-template>
        </p-table>
        <p-paginator
          [rows]="itemsPerPage"
          [totalRecords]="totalRecords"
          pageLinkSize="3"
          [rowsPerPageOptions]="rowsPerPageOptions"
          (onPageChange)="paginate($event)">
        </p-paginator>
      </div>
      <div class="box-footer">
      </div>
    </div>
  </div>
</div>



